@import "src/variables";

.Header{
  height: 80px;
  background: #fff;
  box-shadow: 0 4px 8px rgb(0 0 0 / 8%);
  &__Nav{
    a:not(.btn){
      font-size: 1.6rem;
      font-weight: 500;
      color: $body-color;
      &:hover{
        color: $primary;
      }
    }
  }
  .icon-down{
    font-size: 13px;
    margin-left: 3px;
  }
  .icon-user{
    margin-right: 5px;
  }
  .btn-transparent{
    color: $primary;
    background-color: $white;
  }
  &__Account{
    position: relative;
    nav{
      position: absolute;
      top: 100%;
      padding: 0.4rem 0;
      left: 50px;
      width: 170px;
      background-color: $white;
      box-shadow: 0 2px 4px rgb(0 0 0 / 8%);
      opacity: 0;
      visibility: hidden;
      transform: translate(0, 0);
      transition: opacity .3s, visibility .3s, transform .3s;
      &.active{
        visibility: visible;
        opacity: 1;
        transform: translate(0, 15px);
      }
      a{
        display: block;
        font-size: 1.6rem;
        padding: 0.5rem 2rem;
        &:hover{
          background-color: $gray-100;
        }
        &.active{
          font-weight: 600;
        }
      }
    }
  }
}